/******************************************************************************/
/* * Morse library examples.                                                  */
/* * Using the built in LED (usually pin 13).                                 */
/*                                                                            */
/* Revision log                                                               */
/* -------------------------------------------------------------------------- */
/* A00 - 2019.01.01 - JOO: Original version.                                  */
/******************************************************************************/
#include <Morse.h>

Morse morse;                // Declare the morse object

void setup()
{
  Serial.begin(9600);       // Initialize the serial port
  morse.begin(LED_BUILTIN); // Initialize morse output pin
}

void loop()
{
  char str[20];

  // Create a string for the morse code "SOS" and print it
  morse.string(str, sizeof(str), "SOS");
  Serial.print("SOS=");
  Serial.println(str);

  // Create a string for the morse code "123" and print it
  morse.string(str, sizeof(str), "123");
  Serial.print("123=");
  Serial.println(str);

  delay(5000);
}
